Bug 732478 - UI incorrectly renders system package information in profile
Summary: UI incorrectly renders system package information in profile
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Katello
Classification: Retired
Component: WebUI
Version: 1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Jason E. Rist
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-22 15:26 UTC by Corey Welton
Modified: 2011-09-02 19:25 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-02 19:25:51 UTC


Attachments (Terms of Use)
screenshot (62.28 KB, image/png)
2011-08-22 15:27 UTC, Corey Welton
no flags Details

Description Corey Welton 2011-08-22 15:26:21 UTC
Description of problem:
After registering a system via rhsm and viewing the system package profile, the package names are all displayed as garbage.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Register a system via rhsm.
2. Systems > Registered > $system > Packages
3. View results
  
Actual results:
Garbled package names

Expected results:
Correct package names.

Additional info:
Not sure but if this isn't actually a backend bug. But I am not sure how to view a system profile from the CLI.  At least I /thought/ the json was getting uploaded correctly, but maybe not.

See forthcoming screenshot

Comment 1 Corey Welton 2011-08-22 15:27:21 UTC
Created attachment 519307 [details]
screenshot

Comment 2 Sachin Ghai 2011-08-26 11:44:20 UTC
Same observation with following katello build:

katello-0.1.70-1.git.7.ca8d03c.fc15.noarch

Garbled package names are displayed only on webui. In CLI, the package list is empty..


[root@dhcp201-167 ~]# katello -u admin -p admin system packages --name=dhcp201-167.englab.pnq.redhat.com --org=ACME_Corporation
-------------------------------------------------------------------------------------------------------------------------------------------------------------
                              Package Information for System [ dhcp201-167.englab.pnq.redhat.com ] in Org [ ACME_Corporation ]

 Name  
-------------------------------------------------------------------------------------------------------------------------------------------------------------
[root@dhcp201-167 ~]#

Comment 3 Mike McCune 2011-09-02 19:25:51 UTC
those are generated fake package names.  We haven't finished implementing full package profile uploading yet.


Note You need to log in before you can comment on or make changes to this bug.